Skip to main content

Get a Payout Item by id

Retrieve payout item by payout Id and item Id.

GET/v1/payouts/{payout_id}/items/{item_id}
curl -X GET 'https://api.minteo.finance/v1/payouts/<payout_id>/items/<item_id>' \
-H 'Authorization: Bearer <your-api-key>'
RESPONSE
{
"output": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"payout_id": "d5e5262c-5697-408d-bb9b-48c3cf8c2f89",
"amount": "20000",
"effective_amount": "19300",
"fee_amount": "700",
"status": "PENDING",
"status_code": "AWAIT_PROCESSING",
"preferred_channel": "TURBO",
"channel": "TURBO",
"public_data": {
"external_id": null,
"full_name": "John Doe"
},
"activities": [
{
"type": "AWAIT_PROCESSING",
"status": "PENDING",
"last_update_at": "2024-10-18T01:43:02.761Z"
}
],
"created_at": "2024-10-18T01:43:02.763Z",
"updated_at": "2024-10-18T01:43:02.763Z"
},
"code": "OK"
}

Endpoint

GET/v1/payouts/{payout_id}/items/{item_id}

Scope

payout_items:details

Request

Path Parameters

payout_idstring

Id of the payout

item_idstring

Id of the item to retrieve

Response

The payout item.

codestring

The response status code text.